Bug 188837 - CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 23:33 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 08:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 23:33:57 EDT
CSS Letter-Spacing Heap Overflow Vulnerability


An  anonymous  researcher for TippingPoint and the Zero Day Initiative
discovered an integer overflow triggered by the CSS letter-spacing property.
This results in in under-allocating memory and ultimately a heap buffer
overflow which could be exploited to run code of the attacker's choice.

The overflow condition itself does not require JavaScript and thus could
affect Thunderbird via received mail, but without scripting to prepare
memory it may not be possible to exploit this condition in mail.

Workaround

Upgrade to the fixed version.

References

[1]ZDI-06-009
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=325403


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-27 08:51:09 EDT
These issues have been resolved in FEDORA-2006-411 for FC5 and FEDORA-2006-410
for FC4

Note You need to log in before you can comment on or make changes to this bug.